@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
hardware_xosc

Crystal Oscillator (XOSC) API. More...

## Functions

void | xosc_init (void)
| Initialise the crystal oscillator system.
void | xosc_disable (void)
| Disable the Crystal oscillator.
void | xosc_dormant (void)
| Set the crystal oscillator system to dormant.

## Detailed Description

Crystal Oscillator (XOSC) API.

## Function Documentation

## xosc_disable()

void xosc_disable | ( | void |  | ) |

Disable the Crystal oscillator.

Turns off the crystal oscillator source, and waits for it to become unstable

## xosc_dormant()

void xosc_dormant | ( | void |  | ) |

Set the crystal oscillator system to dormant.

Turns off the crystal oscillator until it is woken by an interrupt. This will block and hence the entire system will stop, until an interrupt wakes it up. This function will continue to block until the oscillator becomes stable after its wakeup.

## xosc_init()

void xosc_init | ( | void |  | ) |

Initialise the crystal oscillator system.

This function will block until the crystal oscillator has stabilised.